## BLOGTOOL is a stupid simple static site generator

There are no themes or templates. You write a project structure like this:
```
myblog
|
|-> articles
|   |-> article1.md
|   |-> article2.md
|-> assets
|   |-> article1.jpg
|   |-> photo.png
|-> profile.jpg
|-> about.md
|-> styles.css
```
with utf-8 encoded articles. Blogtool generates a static site in dist/ with a list of articles for the home page, an about page with a profile picture and bio from profile.jpg and about.md, each page will include styless.css and all assets will be available at /static.
```
dist
|
|-> index.html
|-> static
|   |-> article1.jpg
|   |-> photo.png
|   |-> profile.jpg
|   |-> styles.css
|-> article1.html
|-> article2.html
|-> about.html
```

Invoke blogtool with `blogtool` after installing dependencies and adding the bin to your path. Run it in your project's root. There are no options. It will not remove old files from dist/.